Package org.h2.security.auth

# Class ConfigProperties

java.lang.Object
org.h2.security.auth.ConfigProperties

public class ConfigProperties extends Object
wrapper for configuration properties

## Constructor Summary

Constructors
Constructor
Description
`ConfigProperties()`
`ConfigProperties(Collection<PropertyConfig> configProperties)`
`ConfigProperties(PropertyConfig... configProperties)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getBooleanValue(String name, boolean defaultValue)`
Returns the boolean value of specified property.
`int`
`getIntValue(String name)`
Returns the integer value of specified property.
`int`
`getIntValue(String name, int defaultValue)`
Returns the integer value of specified property.
`String`
`getStringValue(String name)`
Returns the string value of specified property.
`String`
`getStringValue(String name, String defaultValue)`
Returns the string value of specified property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigProperties

public ConfigProperties()

### ConfigProperties

public ConfigProperties(PropertyConfig... configProperties)

### ConfigProperties

public ConfigProperties(Collection<PropertyConfig> configProperties)

## Method Details

### getStringValue

public String getStringValue(String name, String defaultValue)
Returns the string value of specified property.

Parameters:
  `name` - property name.
  `defaultValue` - default value.
Returns:
  the string property value or `defaultValue` if the property is missing.

### getStringValue

public String getStringValue(String name)
Returns the string value of specified property.

Parameters:
  `name` - property name.
Returns:
  the string property value.
Throws:
  `AuthConfigException` - if the property is missing.

### getIntValue

public int getIntValue(String name, int defaultValue)
Returns the integer value of specified property.

Parameters:
  `name` - property name.
  `defaultValue` - default value.
Returns:
  the integer property value or `defaultValue` if the property is missing.

### getIntValue

public int getIntValue(String name)
Returns the integer value of specified property.

Parameters:
  `name` - property name.
Returns:
  the integer property value.
Throws:
  `AuthConfigException` - if the property is missing.

### getBooleanValue

public boolean getBooleanValue(String name, boolean defaultValue)
Returns the boolean value of specified property.

Parameters:
  `name` - property name.
  `defaultValue` - default value.
Returns:
  the boolean property value or `defaultValue` if the property is missing.